#include<iostream>
#include<cmath>
using namespace std;
double f(int k)
{
	double b;
	b=pow(-1.0,k+1)/(k*(k+1));
	return b;
}

int main()
{
	int n;
	double a,sum=0;
	cin>>n;
	for(int i=1;i<=n;i++)
	{
		a=f(i);
		sum+=a;
	}
	cout<<sum;
	
	return 0;
}
